> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get threshold crossing events for device

> Get threshold crossing events for device



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getThresholdCrossingEventsForDevice
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getThresholdCrossingEventsForDevice:
    post:
      tags:
        - Report Webservice
      summary: Get threshold crossing events for device
      description: Get threshold crossing events for device
      operationId: getThresholdCrossingEventsForDevice
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Report_GetThresholdCrossingEventsForDeviceWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Report_GetThresholdCrossingEventsForDeviceWSResponse
          description: OK
components:
  schemas:
    Report_GetThresholdCrossingEventsForDeviceWSRequest:
      type: object
      description: >-
        Request object for getting threshold crossing events for a specific
        device.
      properties:
        crossingObject:
          $ref: '#/components/schemas/CrossingObjectEnum'
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End timestamp of query period in epoch MS
          example: 1640998800000
          nullable: true
        lastEvaluatedKey:
          type: string
          description: >-
            Should be null on first request and populated on subsequent requests
            if provided in the response to retrieve the next page
          nullable: true
        maxPageSize:
          type: integer
          format: int32
          description: >-
            Max number of results to return. Response's lastEvaluatedKey will be
            null if no additional results are available
          example: 100
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start timestamp of query period in epoch MS
          example: 1640995200000
          nullable: true
    Report_GetThresholdCrossingEventsForDeviceWSResponse:
      type: object
      description: >-
        Response object for getting threshold crossing events for a specific
        device.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        lastEvaluatedKey:
          type: string
          description: >-
            If a max page size was specified and there are additional results
            that can be retrieved this will be non-null and should be supplied
            in the next request to retrieve the next page of results
          nullable: true
        thresholdCrossingEvents:
          type: array
          description: List of threshold crossing events for the device
          items:
            $ref: '#/components/schemas/MinimalThresholdEventType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    CrossingObjectEnum:
      type: string
      enum:
        - HUMAN
        - VEHICLE
        - FACE
        - LPR
        - POSE
        - CLIP_EMBED
        - UNKNOWN
    MinimalThresholdEventType:
      type: object
      description: List of threshold crossing events for the device
      properties:
        crossingObject:
          $ref: '#/components/schemas/CrossingObjectEnum'
        direction:
          $ref: '#/components/schemas/CrossingDirectionEnum'
        objectId:
          type: integer
          format: int32
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
    CrossingDirectionEnum:
      type: string
      enum:
        - INGRESS
        - EGRESS
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````